<?xml version="1.0"?>
<vbox name="ChannelView"   recalc-size="1">
    <hbox name="BaseInfoToolbar" height="54" 
            bkgrd-stretch-mode="DIF_ALPHATRANSPARENT | DIF_STRETCH"
            bkgrd-stretch-zone="2,20,-2,-40"
            bkgrd-image="public\image\banleBkg.png"  bkgrd-skin="0" 
          >
      <spacer width="8" />
      <obj class="ServerLogo" name="ServerLogo" image="public\image\server_def.png" 
           height="38" width="38" top="8" bkgrd-skin="0"
           bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" style="BS_PUSHLIKE"        
           tstringid ="10158" take-tooltip="1"
           />
      <spacer width="5" />      
      <vbox name="BaseInfo" height="44" top="10" flex="1">
        <hbox height="16" width="17">
		  <hbox name="addV" bottom="-4" hidden="1">
				 <obj class="Picture" name="Vtips"   width="12"  bkgrd-image="public\image\icon_verify.png"  bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"  bkgrd-skin="0" hidden="0"/>
		         <spacer width="5" />
		  </hbox>
         
		  <obj name="ServerName"  height="16" calc-size="1,0"  />
          <spacer width="5" />
          <obj name="GameLogoBar"  height="16" hidden="1" />          
        </hbox>
        <spacer height="5" />
        <hbox height="22">
          <obj class="Picture" name="IDPic" height="16" width="16"
                bkgrd-image="public\image\ID.png"               
                bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                take-tooltip="1"
                />
          <spacer width="6" />
          <obj class="Button" name="GroupID" font-color="#SubTitleFontColor" 
               top="2" width="80" image="" />          
          <obj class="Picture" name="GroupPic" height="16" width="16"
               bkgrd-image="public\image\member.png"
               bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
               take-tooltip="1"
               />
          <spacer width="6" />
          <obj name="OnlineCount" width="30" top="2" padding-rect="8,0,0,0" calc-size="1,0"  bkgrd-skin="1" font-color="#SubTitleFontColor"/>
          <spacer width="20" />
          <obj name="LinxXXX" height="12" width="1" top="4"
               bkgrd-color="#ChannelView.BkgColor.BorderNoraml" bkgrd-skin="0"/>
          <spacer width="20" />
          
          <obj name="MyPoints" top="4" width="30" calc-size="1,0"
                  font-color="#SubTitleFontColor"  />

        </hbox>
      </vbox>
      <spacer width="10" />

      <hbox width="340" top="15" height="22">
        <spacer flex="1"/>
        <obj class="Button" name="BtnNavigateOpen" width="44"
             style="BS_ICON" font-color="#FontColorAdaptor"
             image="#DefaultButtonFile" tstringid ="30356" take-tooltip ="1"
             icon="public\image\Navigate_open.png@16x16"  align-style="center"
             bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT"
             icon-index="0" hidden="1"
               />
        <obj class="Button" name="BtnNavigateClose" width="44"
             style="BS_ICON" font-color="#FontColorAdaptor"
             image="#DefaultButtonFile" tstringid ="30357" take-tooltip ="1"
             icon="public\image\Navigate_close.png@16x16"  align-style="center"
             bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT"
             icon-index="0" hidden="1"
               />
        <spacer width="10" />
        <obj class="Button" name="Like" width="95" stringid="30288" calc-size="1,0" padding-rect="8,0,8,0" hidden="1" bkgrd-skin="1"/>
        <obj class="Button" name="UnLike" width="115" style="BS_ICON" font-color="#BlackColorStr"
             image="#DefaultButtonFile"
             icon="public\image\triangle.png@7x4" 
             icon-align-style="right"
             icon-index="0" 
             icon-space="5"
             bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT"
             stringid="30288"
             calc-size="1,0" 
             padding-rect="8,0,8,0" 
             special-pad="5"
             hidden="1"/>

        
        <obj class="Button" name="ApplyforMember" left="10" width="44"  bkgrd-skin="1"
             font-color="#FontColorAdaptor" take-tooltip ="1" tstringid="10057" 
             style="BS_ICON" image="#DefaultButtonFile"  align-style="center"
             icon="public\image\applyMember.png@16x16" icon-index="0"/>
        
        <obj class="Button" name="MemberMgr" width="44" tstringid="30162"  bkgrd-skin="1"
             font-color="#FontColorAdaptor" take-tooltip ="1"
             style="BS_ICON" image="#DefaultButtonFile" align-style="center"
             icon="public\image\memberMgr.png@16x16" icon-index="0" left="10"/>

        <spacer width="10" />
        <obj class="Button" name="AddFavorite"  font-color="#FontColorAdaptor"
             style="BS_ICON"  width="44" align-style="center"
             image="#DefaultButtonFile" 
             icon="public\image\fav.png@16x16"
             icon-index="0" tstringid ="10156" take-tooltip ="1"
             bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
             hidden="0"
                 />

        <obj class="Button" name="UnFavorite" width="44"
             style="BS_ICON" font-color="#FontColorAdaptor"
             image="#DefaultButtonFile" tstringid ="10157" take-tooltip ="1"
             icon="public\image\fav_no.png@24x16"  align-style="center"
             bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT"
             icon-index="0" hidden="1"
               />
        <spacer width="10" />
        <obj class="Button" name="BtnReport" width="44"
             style="BS_ICON" font-color="#FontColorAdaptor"
             image="#DefaultButtonFile" tstringid ="50149" take-tooltip ="1"
             icon="public\image\police.png@16x16"  align-style="center"
             bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT"
             icon-index="0"
               />
		<spacer width="10" />
        <hbox name="BaseInfobarX" height="12" width="12" top="6"
              bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"      
              bkgrd-image="public\image\signal.png"></hbox>
        		
        <obj class="Button" name="BtnPing" top="6"  height="12" width="12" take-notify-tooltip="1"/>
        <spacer width="20" />
      </hbox>              
    </hbox>

  <hbox name="body" bkgrd-skin="0" flex="1">
    <vbox name="bodyleft" minwidth="250"  flex="1" 
          bkgrd-color="#FriendListWnd.BkgrdColor" bkgrd-skin="0">
      <hbox name="ChannelToolbar" height="28" 
            bkgrd-stretch-mode="DIF_TRANSPARENT | DIF_STRETCH"
            bkgrd-stretch-zone="80,3,-3,0"
            bkgrd-image="public\image\kr_channel_top_bg1.png"
            >
        
        <spacer width="10" />

        <obj name="LocateMe" height="14" width="14" top="9"
             bkgrd-image="public\image\channel.png"
             bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
             />
        
        <obj name="LocalChannelIcon" width="18" height="18" top="8" left="8"
             bkgrd-image="#ChannelView.ChannelListTree.MyLocation" bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
             image-inner="0,0,0,0" hidden="1"
             />
        
        <obj class="HyperLink" name="ChannelName"
              height="24" right="-40" left="1" top="4"
              extended-style=" HLINK_COMMANDBUTTON | HLINK_UNDERLINEHOVER"
              font-underline="system-default@12px#underline"
              font-color="#LinkHoverFontColor"
              font-color-visited ="#LinkHoverFontColor"
              font-color-hover ="#ChannelView.LinkeColorHover"
              bkgrd-skin="0" />
        
        <obj class="Button" name="ChannelStyleBtn" top="4" height="22" width="75" text="Unknow..." take-tooltip="1" calc-size="1,0" bkgrd-skin="1"/>
      </hbox>
      
      <vbox name="ChannelListArea" flex="1" >
        <vbox name="MicQueueRegion" height="105" hidden="1" minheight="50" >
          <obj name="LinxYY" height="1"
              bkgrd-stretch-mode="DIF_ALPHATRANSPARENT | DIF_STRETCH"
              bkgrd-stretch-zone="100,0,-100,0"
              bkgrd-image="public\image\kr_channel_top_line.png"
            />
          <spacer height="1" />
          <obj class="Tree" name="MicQueueTree" hidden="0" vscroll="#Scrollbar.vscroll"
               vscroll-iconset="#Scrollbar.vscroll-iconset" take-notify-tooltip="1"
               flex="1"  bkgrd-color="#WhiteColorStr" bkgrd-skin="0" />

          <obj class="Tree" name="ManagerTree" hidden="1" vscroll="#Scrollbar.vscroll"
               vscroll-iconset="#Scrollbar.vscroll-iconset" take-notify-tooltip="1"
               flex="1"  bkgrd-color="#WhiteColorStr" />
          
          <hbox name="MicQueueControlArea" height="22" bkgrd-color="#ChannelView.MicQueueControlArea.bkgrd-color">
            <spacer width="6" />
            <obj class="Button" name="BtnControlMic"
                          style="BS_ICON"
                          bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT"
                          image-inner="5,2,2,2"
                          calc-size="1,0"  width="40" height="22" top="1"
                          tstringid="30263"
                          take-tooltip="1"
                          />
            <spacer width="5" />
            <obj class="Button" name="BtnEnableQueue"
                  style="BS_ICON"
                  bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT"
                  image-inner="5,2,2,2"
                  calc-size="1,0"  width="60" height="22" top="1"
                  hidden="0"/>
            <spacer flex="1" />
            <obj class="Button" name="BtnJoinMic"
                  style="BS_ICON"
                  bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT"
                  image-inner="5,2,2,2"
                  calc-size="1,0"  width="40" height="22" top="1"
                  />
            <spacer width="5" />
          </hbox>
        </vbox>
        <splitter name="Vsplitter" height="3"
              top-border="#ChannelView.Border.ChannelTreeBgk"
              bottom-border="#ChannelView.Border.Bottom" 
              bkgrd-color="#ChannelView.BkgColor.BorderNoraml" 
              hidden="0"/>        
        <vbox  name="ChannelTreeBox" minheight="150" flex="1" top="0" bkgrd-color="#ChannelView.BkgColor.ChannelTree">
          <obj name="LinxXYZx" height="5"
              bkgrd-stretch-mode="DIF_ALPHATRANSPARENT | DIF_STRETCH"
              bkgrd-stretch-zone="1,5,-1,0" bkgrd-skin="0"
              bkgrd-image="public\image\channel_line.png" 
            />
          <obj class="Tree" name="ChannelListTree" hidden="0" vscroll="#Scrollbar.vscroll"
               vscroll-iconset="#Scrollbar.vscroll-iconset" style="TVS_FULLROWSELECT"	               
               />
        </vbox>
      </vbox>
      <vbox name="ManagerListArea" height="86" top-border="#SettingView.SplitBorderColor" hidden="1" bkgrd-color="#ChannelView.BkgColor.ChannelTree">
        <spacer height="3" />
        <obj class="Tree" name="ManagerListTree" left="1" top="1" right="-1" vscroll="#Scrollbar.vscroll"
                   vscroll-iconset="#Scrollbar.vscroll-iconset" style="TVS_FULLROWSELECT" 
                   take-notify-tooltip="1"/>
      </vbox>
      <hbox name="Searchbar" height="24" hidden="1" left="1"
            border="#SettingView.SplitBorderColor" >
        <obj name="searchIcon" width="16" height="16" top="4" left="8"
             bkgrd-image="#ChannelView.Searchbar.SearchIcon" bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
             image-inner="0,0,0,0"
             />
        <vbox name="Editborder" left="4" top="1"  bottom="-1" flex="1" bkgrd-color="#WhiteColorStr">
          <obj class="Edit" name="SearchEdit" top="4" bottom="-4" left="2"
               style="WS_TABSTOP"
               font="system-default@12px" />
        </vbox>

        <obj class="Button" name="SearchPreItemBtn" width="25" height="22" top="1"
             image="#ChannelView.Searchbar.PreItem"
             image-inner="0,0,0,0"
             />
        <obj class="Button" name="SearchNextItemBtn" width="25" height="22" top="1"
             image="#ChannelView.Searchbar.NextItem"
             image-inner="0,0,0,0"
             />
        <obj class="Button" name="SearchCloseBtn" width="22" height="22" top="1"
             image="#ChannelView.Searchbar.Close"
             image-inner="0,0,0,0"
             />
      </hbox>
	  <obj name="TreeSearchArea" height="24" left="1" hidden="1"/>
	 

      <vbox name="leftBottomToolbar" height="34" top-border="#ChannelView.Border.Normal"
            bkgrd-color="#ChannelView.BkgColor.ChannelTree">
        <hbox  height="24" top="7">
          <spacer width="0" />
          <obj class="Button" name="ExpandTree"
                 style="BS_ICON" calc-size="1,0" min-max-size="25,0" padding-rect="18,0,0,0"
                 icon="#ChannelView.BottomToolbar.ExpandIcon" 
                 icon-index="0"
                 tstringid ="50080" take-tooltip ="1"
                 bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                 hidden="1"/>

          <obj class="Button" name="Un_ExpandTree"
                 style="BS_ICON" calc-size="1,0" min-max-size="25,0" padding-rect="18,0,0,0"
                 icon="#ChannelView.BottomToolbar.UnExpandIcon"
                 icon-index="0"
                 tstringid ="50079" take-tooltip ="1"
                 bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                 />
          
          <obj class="Button" name="EditGroupCard"
               style="BS_ICON" calc-size="1,0" min-max-size="25,0" padding-rect="18,0,0,0"
               icon="#ChannelView.BottomToolbar.GroupCardIcon"
               icon-index="0"
               tstringid="30292"
               take-tooltip="1"
               bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
               hidden="1"/>          
          
          <spacer flex="1" />
          <obj class="Button" name="LocateMeBottom" width="23" padding-rect="18,0,0,0"
             style="BS_ICON" align-style="center"
             icon="#ChannelView.BottomToolbar.LocationImage"
             icon-index="0" tstringid ="10153" take-tooltip ="1"
             bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
             />
          <spacer width="2" />
          <spacer name="SplitterX1" top="8" height="14" width="2" bkgrd-image="public\image\splitter_textInput.png"
                      bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" 
                      />
          <spacer width="2" />
          <obj class="Button" name="SeeManagerList"
                 style="BS_ICON" calc-size="1,0" min-max-size="23,0" padding-rect="18,0,0,0" align-style="center"
                 icon="public\image\view_admin.png@18x18"
                 icon-index="0"
                 bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                 take-tooltip="1" tstringid="30346"/>
          <spacer width="2" />
          <spacer name="SplitterX2" top="8" height="14" width="2" bkgrd-image="public\image\splitter_textInput.png"
                      bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                      />
          <spacer width="2" />
          <obj class="Button" name="Search"
               style="BS_ICON" calc-size="1,0" min-max-size="23,0" padding-rect="18,0,0,0" align-style="center"
               icon="#ChannelView.BottomToolbar.SearchIcon"
               icon-index="0" tstringid ="10154" take-tooltip ="1"
               bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
               />

          <spacer width="4" />
        </hbox>
      </vbox>
    </vbox>
    <splitter name="BodyVSplitter" width="2" 
              left-border="#ChannelView.Border.Left"               
              bkgrd-color="#ChannelView.BkgColor.BorderNoraml" />
    <vbox name="bodyright" flex="1" minwidth="480"  bkgrd-color="#WhiteColorStr" bkgrd-skin="0">
      <hbox name="BaseInfobar" height="28" hidden="0" bkgrd-color="244,247,252" 
            bkgrd-stretch-mode="DIF_TRANSPARENT | DIF_STRETCH"
            bkgrd-stretch-zone="3,3,-80,0"
            bkgrd-image="public\image\kr_channel_top_bg2.png"
        >
        <hbox name="CurChannelBkg1" height="22" top="5" left="2">
          <obj class="Button" name="BtnBulletin"
                 style="BS_ICON" align-style="left" icon-space="3"
                 height="20" stringid="30212"
				 calc-size="1,0" min-max-size="60,0" padding-rect="25,0,2,0"
                icon="public\image\bulletin.png@16x16" icon-index="0"
                 bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" take-tooltip="1"/>
          <spacer width="8" />
          
          <obj class="Button" name="BtnGiftingFlower" hidden="1"
                 style="BS_ICON" align-style="left" icon-space="3"
                 height="20" stringid="30213"
				 calc-size="1,0" min-max-size="60,0" padding-rect="25,0,2,0"
                icon="public\image\flowerShow.png@16x16" icon-index="0"
                 bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" take-tooltip="1"/>

         <spacer width="8" />
		  <obj class="Button" name="BtnEntertainment" hidden="1"
                 style="BS_ICON" align-style="left" icon-space="3"
                 height="20" stringid="30375"
				 calc-size="1,0" min-max-size="60,0" padding-rect="25,0,2,0"
                icon="public\image\entertainment.png@16x16" icon-index="0"
                 bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" take-tooltip="1"/>

		
		 <spacer width="8" />
		 <obj class="Button" name="BtnGameboxView" width="24"
               take-tooltip="1"               
               style="BS_OVERLAY"
               stringid="40007"
               icon="public\image\game2.png@16x16"
               icon-index="0"
               icon-overlay="public\image\gametwo.png@16x16"
               overlay-position="-1,0" icon-overlay-index="0"               
               bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT"
               icon-space ="3"
               calc-size="1,0" padding-rect="25,0,2,0"
		/>
          

          <spacer flex="1" />
          <obj class="Button" name="BtnGroupChat"
                 style="BS_OVERLAY" align-style="left" 
                 width="23" height="20" tstringid="30314"
                icon="public\image\groupchat.png@16x16" icon-index="0"
				        icon-overlay="public\image\gametwo.png@16x16"
					      overlay-position="-1,0" icon-overlay-index="0"
                 bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" take-tooltip="1" />

          <spacer width="2" />
          <obj class="Button" name="BtnWidgetMgr" 
                 style="BS_ICON" align-style="left"
                 width="23" height="20" tstringid="30359"
                icon="public\image\AppBox.png@16x16" icon-index="0"
                 bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" take-tooltip="1" />
  
		  <spacer width="5" />
        </hbox>
      </hbox>
      <obj name="LinxXXXXXXXXXXXXX" height="1"
              bkgrd-stretch-mode="DIF_ALPHATRANSPARENT | DIF_STRETCH"
              bkgrd-stretch-zone="100,0,-100,0"
              bkgrd-image="public\image\kr_channel_top_line.png"
        />
      <vbox flex="1" name="diplayArea">
        <obj name="PlugWnd" height="150" minheight="80" maxheight="250" />
        <splitter name="BodyHSplitter" height="5" bkgrd-image="public\image\bulletin_spliter.png"
                      bkgrd-stretch-mode="DIF_ALPHATRANSPARENT| DIF_STRETCH" hidden="0" bkgrd-skin="0"/>
        <!--Msg displayer-->
        <hbox  name="MsgDisplayArea" bkgrd-color="#WhiteColorStr" flex="1">
          <obj  name="EditRecv" font="system-default@12px" flex="1" />
          <obj  name="ScrollRecv" vscroll="#Scrollbar.vscroll"  iconset="#Scrollbar.vscroll-iconset"  width="14" hidden="1" />
          <spacer width="1" />
        </hbox>
      </vbox>

      <!--Yellow BroadcastTipbar bar-->
      <vbox name="BroadcastTipbar" height="100" hidden="1"  bkgrd-color="#WhiteColorStr"
            bkgrd-image="public\image\textblock_bkg.png"  bkgrd-skin="0"
            bkgrd-stretch-zone="10,10,-10,-10" left="2" right="-2"
            bkgrd-stretch-mode="DIF_STRETCH | DIF_ALPHATRANSPARENT">

		      <hbox height="15" >
			      <spacer flex="1" bkgrd-color="#WhiteColorStr" bkgrd-skin="0" />
			      <obj class="Button" name="CloseBroadcastTipBtn" image="public\image\tapCloseBtn.png@15x15" bkgrd-skin="0"
			        bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" 
			        width="15"  />
			        <spacer width="2"/>
		      </hbox>
		      <hbox  name="BroadcastView" bkgrd-color="#WhiteColorStr" left="2" top="0" bottom="-10" right="-2" bkgrd-skin="0">
                <obj name="BroadcastViewEdit" flex="1" bkgrd-color="#ChannelView.BkgColor.BroadcastBkg" bkgrd-skin="0"/>        
                <obj  name="BroadcastViewEditScroll"  bkgrd-color="#ChannelView.BkgColor.BroadcastBkg" bkgrd-skin="0"
				      vscroll="#Scrollbar.vscroll"  iconset="#Scrollbar.vscroll-iconset"  width="14" hidden="1" />
                <spacer width="1" bkgrd-color="#WhiteColorStr" bkgrd-skin="0"/>
          </hbox>
        
      </vbox>
      
      <!--Yellow tip bar-->      
      <vbox name="Tipbar" height="27" hidden="1" left="4" right="-2"
            bkgrd-image="public\image\textblock_bkg.png"
            bkgrd-stretch-zone="10,10,-10,-10" bkgrd-skin="0"
            bkgrd-stretch-mode="DIF_STRETCH | DIF_ALPHATRANSPARENT">
        <spacer height="5"/>
        <obj name="TipTextEdit" left="5" right="-4" flex="1" bkgrd-color="#ChannelView.BkgColor.BroadcastBkg" bkgrd-skin="0"/>
        <spacer height="5"/>
      </vbox>


		<vbox  name="AdView" align="center" height="54" bkgrd-color="#AdBkgrd"    hidden="1"  >
			<spacer height="4" />
			<obj  class="ADFlash" name="adflash" adsource="group" closeBtn="1" flex="1"/>
		</vbox>

		 <vbox name="AdMini" align="center" height="0"  bkgrd-color="#AdBkgrd"   hidden="1" >
				<obj class="Button" name="ButtonExpand" image="public\image\sb-v-scroll-prev.png@7x4"
					bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" width="7" height="4" />
		 </vbox>

      
      <!--FontWnd Box-->
      <hbox name="FontWnd" height="36" hidden="1"
						   bkgrd-color="#WhiteColorStr" bkgrd-skin="0">
    	  <hbox name="FontWndxxx" width="150" 
                           bkgrd-image="public\image\bkg_4.png"
                           bkgrd-stretch-mode="DIF_ALPHATRANSPARENT| DIF_STRETCH"
                           bkgrd-stretch-zone="4,4,-4,-4" >
        	<obj name="FontSelectWnd" left="2" top="2" right="-2" bottom="-2" />
      	</hbox>
      </hbox>
		
      <vbox name="rightBottomArea" height="96" bkgrd-color="#WhiteColorStr" bkgrd-skin="0">
		<hbox name="SendBound" flex="1" 
              bkgrd-image="public\image\channel_input.png"
              bkgrd-stretch-mode="DIF_ALPHATRANSPARENT | DIF_STRETCH"
              bkgrd-stretch-zone="8,8,-8,-8"
              >
          <hbox top="8" left="9" right="-9" bottom="-9">
            <vbox width="52">
              <spacer flex="1" />
              <hbox>
                <obj class="Button" name="BtnFont" style="BS_BITMAP" height="20" width="24" hidden="0"
                  bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" image="public\image\FontButton.png@24x20" 
                  take-tooltip="1" tstringid="50146" />

                <obj class="Button" name="BtnEmotion" style="BS_BITMAP" height="20" width="24"
                       bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                       image="public\image\FaceButton.png@24x20" 
                       take-tooltip="1" tstringid="50147" />
                <spacer name="SplitterX" left="5" top="3" height="14" width="2" bkgrd-image="public\image\splitter_textInput.png"
                      bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                      />
              </hbox>
              <spacer flex="1" />
            </vbox>
            
            <hbox flex="1" top="5" left="5">
              <obj name="EditSend"  font="system-default@12px"  flex="1"/>
              <obj name="ScrollSend" vscroll="#Scrollbar.vscroll" iconset="#Scrollbar.vscroll-iconset"  width="14" hidden="1"/>
              <spacer width="1" />
            </hbox>
            <spacer width="5" />
            <vbox width="51"  name="SendMsgBtnArea" >
              <spacer flex="1"/>
              <hbox height="22"  >
			    <spacer width="10"/>
                <obj class="Button" name="BtnSend" image="public\image\BaseButton.png@14x37"
                        bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                       style="BS_ICON" icon="public\image\im\btn_publish.png@22x9"
                      icon-index="0" width="40" height="22"  take-tooltip ="1" tstringid="40003" align-style="center"/>
                
              </hbox>
              <spacer flex="1"/>
            </vbox>
            <spacer width="10" />
          </hbox>
        </hbox>
        
        <!--audio setting toolbar-->
        <vbox name="ToolbarBox" height="34" top-border="#ChannelView.Border.Normal" bkgrd-color="#FriendListWnd.BkgrdColor">          
          <spacer height="4"/>                  
          <hbox name="AudioToolBar" height="24" >              
            <spacer width="6" />                       
            <obj class="Button" name="BtnSpeakerSilent" 
                 style="BS_ICON" align-style="center" icon-space="0" image-inner="0,0,0,0"
                 width="20" height="20" top="2"
                icon="#AudioSettingBar.Speaker" icon-index="0" 
                 bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" take-tooltip="1"/>
            <spacer width="2" />
            <obj class="Slider" name="SliderSpeakerVol" height="19" width="70" top="2"
              slider-iconset="#AudioSettingBar.VolumeBar" slider-inner="#AudioSettingBar.slider-inner"
              button-iconset="#AudioSettingBar.VolumeDrager"  button-inner="#AudioSettingBar.button-inner" button-length="auto"
              button-bkgrd-stretch-mode="DIF_ALPHATRANSPARENT "
              bkgrd-stretch-mode="DIF_ALPHATRANSPARENT | DIF_STRETCH" bkgrd-skin="0"/>
            <spacer width="10"/>
            <obj class="Button" name="BtnMicSilent" style="BS_ICON" icon-index="0" width="20" height="20" top="2"
                 align-style="center" icon-space="0" image-inner="0,0,0,0"
              icon="#AudioSettingBar.Mic" bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" take-tooltip="1" />
            <obj class="Button" name="BtnMixSetting" width="16" height="20" top="2"
               icon="public\image\triangle.png@7x4" style="BS_ICON"
               align-style="center" icon-space="0" image-inner="0,0,0,0"
               icon-index="0"/>
            
            <spacer width="2" />
            <obj class="Slider" name="SliderMicVol" height="19" width="70" top="2"
              slider-iconset="#AudioSettingBar.VolumeBar" slider-inner="#AudioSettingBar.slider-inner"
              button-iconset="#AudioSettingBar.VolumeDrager" button-inner="#AudioSettingBar.button-inner" button-length="auto"
              button-bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
              bkgrd-stretch-mode="DIF_ALPHATRANSPARENT | DIF_STRETCH" bkgrd-skin="0"/>
            <spacer width="5" />

            <obj class="Recorder"  name="Recorder" width="60" hidden="0"  height="20" top="2" tstringid="10010" take-tooltip="1" bkgrd-skin="0"/>
            <obj class="Button" name="BtnBkgMusic" style="BS_ICON"  width="20" height="20" top="2" tstringid ="10139" take-tooltip="1"
					        icon="public\image\music.png@18x18" align-style="center"  image-inner="0,0,0,0" icon-index="0" icon-space="0"
					        bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" />
            
            <obj class="Button" name="BtnBkgMusicSetting" width="16" height="20" top="2" 
                 icon="public\image\triangle.png@7x4" style="BS_ICON"
                 align-style="center" icon-space="0" image-inner="0,0,0,0"
                 icon-index="0" 
                   />
            
            <spacer flex="1" />
            <hbox name="speakicon" height="18" width="22" top="4"
              bkgrd-image="public\image\key_speaking.png" bkgrd-skin="0"
              bkgrd-stretch-mode="DIF_ALPHATRANSPARENT">
            </hbox>

            <obj class="Button" name="SwitchTalkMode"
                 icon="public\image\triangle.png@7x4" width="130" icon-align-style="right"
                 style="BS_ICON" icon-index="0" icon-space="5"  font-color="27,120,44"
                 />                        
            <spacer width="5" />
          </hbox>
        </vbox>
      </vbox>
      
    </vbox>
  </hbox>

</vbox>